=== src/debian/changelog ===
nfs-ganesha (2.2.0-1) stable; urgency=log

  * Ganesha supports granting delegations
  * There have been numerous config changes
  * Ganesha now includes systemd scripts
  * Improved packaging for RPM and Debian
  * Major stability improvements
  * non-QT based python tools
  * Support for Ganesha to be a pNFS DS only, no MDS
  * SECINFO in preferred order
  * LTTng support
  * NFS v4.2 support
  * Major improvements in 9p support
  * Code cleanup (checkpatch and Coverity)
  * ntirpc improvements
  * FSAL_GLUSTER updated with pNFS and ACL support and more

 -- Philippe Deniel <philippe.deniel@>  Wed, 22 Apr 2015 15:30:00 +0200

nfs-ganesha (2.1.0-1) stable; urgency=log

  * Updates for the debian packaging using the cmake build system

 -- Charles Hardin <ckhardin@gmail.com>  Fri, 29 Aug 2014 20:18:45 +0000

nfs-ganesha (1.5.0-1) stable; urgency=low
  * TIRPC library was significantly refurbished with bi-directional RPC support (required for NFSv4.1 backchannels)
  * Multiple RPC dispatch is now supported
  * Cache inode has been reworked on its handling of directory entries
  * Cache inode readdir logic is now based on callbacks to take advantage of AVL tree work
  * State Management has been unified and improved. Locking is consistent across both NFSv3 and NFSv4.x
  * Client id management support has been added	
  * 9p.2000L support has been added. Dev is currently under alpha version
  * Improved file handle support. Handles's versions and variable length handles are better supported.
  * Memory allocation has been refactored. TC-Malloc or Jemalloc can be use with a fallback to libC's malloc/free
  * Improved Kerberos support. Compatibility with Microsoft AD Kerberos is improved.
  * FSAL_SNMP is now officially deprecated

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 16 Jul 2012 11:11:00 +0200

nfs-ganesha (1.4.0-1) stable; urgency=low
  * Bug Fix: Memory leak fixed in RPC's DRC
  * Bug Fix: Bad computation of rbt_value in RPC's DRC's hashtable 
  * New FSAL_CEPH (dedicated to the ceph filesystem)
  * pNFS code refurbished with CEPH specific code and layout file support
  * All RPCs are now based on TIRPC	
  * Bug Fix: in nfs_Write, for clean handle of umask, the server should allow the owner of a file to write to it, even if the file is read-only
  * Bug Fix: bad memory padding in fsal_handle_t and fsal_cookie_t

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 15 Mar 2012 10:41:00 +0200

nfs-ganesha (1.3.0-1) stable; urgency=low
  * Lustre FSAL: exporting several Lustre filesystem with the same server
  * A bug was found and fix in OP4_READDIRPLUS (produced missing entries)
  * Directory content cached is now managed as a tree. 
  *  Lock support for FSAL_LUSTRE
  * Lustre FSAL: regression in readdir detected and fixed
  * FSAL_LUSTRE/FSAL_XFS/FSAL_FUSELIKE/FSAL_ZFS: regression in readdir detected
  * export list now support IP ranges using the CIDR format

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 23 Dec 2011 10:00:00 +0200

nfs-ganesha (1.2.0-1) stable; urgency=low
  * Bug Fix:  Call cache_inode_close after deleting share state
  * Added support for ERR_FSAL_DELAY in upper layer
  * FSAL code has been reorganized a lot
  * New SAL (State Abstraction Layer) to manage locks (NFSv4/NLM) and shares
  * Symbolic Links are managed via a pool to save memory in Cache_Inode
  * Early 9P support
  * Lustre FSAL: exporting several Lustre fuilesystem with the same server

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 12 Dec 2011 11:11:11 +0200

nfs-ganesha (1.1.1-1) stable; urgency=low
  * Bug Fix: padded size for FSAL-less daemon were too short and not aligned on 64 bits
  * Bug Fix: Badly formed fsal_op_context_t in FSAL_ZFS (issue when using as shared object)
  * Bug Fix: bad modes/ACLs management in several FSALs (produced EPERM errors)
  * Bug Fix: badly managed access_type in nfs3_Access
  * Bug Fix:  Call cache_inode_close after deleting share state
  * Added support for ERR_FSAL_DELAY in upper layer
  * FSAL code has been reorganized a lot
  * New SAL (State Abstraction Layer) to manage locks (NFSv4/NLM) and share reservations
  * NFSv4.0 are now activated by default
  * Symbolic Links are managed via a pool to save memory in Cache_Inode
  * Early 9P support
  * Lustre FSAL: exporting several Lustre fuilesystem with the same server instance

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 11 Nov 2011 11:11:11 +0200

nfs-ganesha (1.0.1-1) stable; urgency=low
  * Bug Fix: Bad memset in FSAL_HPSS::HPSSFSAL_lookup. Result was a segfault at init.
  * Code reorganization : subdirectory RPCAL has been added
  * Bug fix: bad 'fd2handle' options in FSAL_XFS::FSAL_rename
  * pNFS : API for implementing pNFS specific feature has been fully refurbished.
  * FSAL_VFS: new FSAL using "open_by_handle" feature added in the kernel higher than 2.6.39.
  * NFSv4: the product is now compiled with NFSv4.1 support by default
  * Log module: now using __FUNCTION__ macro to get the function's name
  * Bug Fix: the cache_inode_commit function badly managed the Data Cache.
  * Multiple FSAL support: it is now possible to 'dlopen' several fsal shared objects.
  * Bug Fix: issue occured in 'Tbl' pass of cthon04 test for FSAL_XFS and FSAL_VFS
  * NFSv4 ACLs support
  * GPFS ACLs support (to be used with NFSv4 ACL support)

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed,  7 Apr 2011 11:23:00 +0200

nfs-ganesha (1.0.5-1) stable; urgency=low
  * Using function daemon() to start the daemon in a cleaner way
  * Using gethostbyaddr_r to avoid contention when resolving address in
    nfs_ip_name.c
  * pNFS/file support has been added for LUSTRE
  * pNFS related sources were reorganized with a design closer to what is done with FSAL/MFSL
  * "stable_how" flag management has been remade in deep, including a new FSAL_sync call to every FSAL
  * FSAL_PROXY: the FSAL is no able to deal correctly when the remote server restarts

